hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mike Casile (JIRA)" <j...@apache.org>
Subject [jira] [Reopened] (HADOOP-9882) Trunk doesn't compile
Date Fri, 17 Jul 2015 02:55:04 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-9882?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Mike Casile reopened HADOOP-9882:
---------------------------------

I now have an opposite-ish problem I think.  I followed all of the directions, but now my
protoc is at 3.0.0 and hadoop is still looking for 2.5.0.  I tried modifying hadoop-project/pom.xml
... but that just caused an issue finding the 3.0.0 on the java and jar.  oi!!  Even if I
can get it to allow me to use the 3.0.0 ... is there any way to be sure I won't cause issues
down the road.  I am building on my notebook and only do basic unit testing there ... another
X86-64 linux system is the target.  Not sure if protoc level is really that crucial ... but
I guess if it is, I'm not going to help matters any.

> Trunk doesn't compile
> ---------------------
>
>                 Key: HADOOP-9882
>                 URL: https://issues.apache.org/jira/browse/HADOOP-9882
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: build
>            Reporter: Jean-Baptiste Onofré
>
> Currently, trunk does not compile (in hadoop-common-project/hadoop-common module):
> [ERROR] Failed to execute goal org.apache.hadoop:hadoop-maven-plugins:3.0.0-SNAPSHOT:protoc
(compile-protoc) on project hadoop-common: org.apache.maven.plugin.MojoExecutionException:
protoc version is 'libprotoc 2.4.1', expected version is '2.5.0' -> [Help 1]
> I gonna fix that.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message